| Flutter Windows Embedder |

Classes | Typedefs | Functions
flutter_windows_internal.h File Reference
`#include "flutter/shell/platform/windows/public/flutter_windows.h"`

Go to the source code of this file.

## Classes
struct | FlutterDesktopViewControllerProperties
struct | FlutterPlatformViewCreationParameters
struct | FlutterPlatformViewTypeEntry

## Typedefs
typedef int64_t | PlatformViewId
typedef HWND(* | FlutterPlatformViewFactory) (const FlutterPlatformViewCreationParameters *)

## Functions
FLUTTER_EXPORT FlutterDesktopViewControllerRef | FlutterDesktopEngineCreateViewController (FlutterDesktopEngineRef engine, const FlutterDesktopViewControllerProperties *properties)
FLUTTER_EXPORT void | FlutterDesktopEngineRegisterPlatformViewType (FlutterDesktopEngineRef engine, const char *view_type_name, FlutterPlatformViewTypeEntry view_type)
FLUTTER_EXPORT FlutterDesktopEngineRef | FlutterDesktopEngineForId (int64_t engine_id)

## Typedef Documentation

## ◆ FlutterPlatformViewFactory

typedef HWND(* FlutterPlatformViewFactory) (const FlutterPlatformViewCreationParameters *)

Definition at line 54 of file flutter_windows_internal.h.

## ◆ PlatformViewId

typedef int64_t PlatformViewId

Definition at line 42 of file flutter_windows_internal.h.

## Function Documentation

## ◆ FlutterDesktopEngineCreateViewController()

FLUTTER_EXPORT FlutterDesktopViewControllerRef FlutterDesktopEngineCreateViewController | ( | FlutterDesktopEngineRef | engine,
|  | const FlutterDesktopViewControllerProperties * | properties
| ) |  |

Definition at line 128 of file flutter_windows.cc.

130 {
131 return CreateViewController(engine, properties->width, properties->height,
132 /*owns_engine=*/false);
133 }
CreateViewController
static FlutterDesktopViewControllerRef CreateViewController(FlutterDesktopEngineRef engine_ref, int width, int height, bool owns_engine)
Definition: flutter_windows.cc:79
FlutterDesktopViewControllerProperties::width
int width
Definition: flutter_windows_internal.h:20
FlutterDesktopViewControllerProperties::height
int height
Definition: flutter_windows_internal.h:23

References CreateViewController(), FlutterDesktopViewControllerProperties::height, and FlutterDesktopViewControllerProperties::width.

Referenced by flutter::testing::TEST_F().

## ◆ FlutterDesktopEngineForId()

FLUTTER_EXPORT FlutterDesktopEngineRef FlutterDesktopEngineForId | ( | int64_t | engine_id | ) |

Definition at line 200 of file flutter_windows.cc.

201 {
202 return HandleForEngine(
203 flutter::FlutterWindowsEngine::GetEngineForId(engine_id));
204 }
flutter::FlutterWindowsEngine::GetEngineForId
static FlutterWindowsEngine * GetEngineForId(int64_t engine_id)
Definition: flutter_windows_engine.cc:248
HandleForEngine
static FlutterDesktopEngineRef HandleForEngine(flutter::FlutterWindowsEngine *engine)
Definition: flutter_windows.cc:38

References flutter::FlutterWindowsEngine::GetEngineForId(), and HandleForEngine().

Referenced by flutter::testing::TEST_F().

## ◆ FlutterDesktopEngineRegisterPlatformViewType()

FLUTTER_EXPORT void FlutterDesktopEngineRegisterPlatformViewType | ( | FlutterDesktopEngineRef | engine,
|  | const char * | view_type_name,
|  | FlutterPlatformViewTypeEntry | view_type
| ) |  |

Definition at line 288 of file flutter_windows.cc.

291 {
292 // TODO(schectman): forward to platform view manager.
293 // https://github.com/flutter/flutter/issues/143375
294 }